Revision history [back]

click to hide/show revision 1
initial version

Need help, kolla-ansible prechecks fails check on docker SDK version

I run kolla-ansible prechecks -i multinode

and it always fails with this error below

TASK [prechecks : Checking docker SDK version] ********************************************************************
fatal: [openstackcontroller]: FAILED! => {"changed": false, "cmd": ["/usr/bin/python", "-c", "import d_when_result": true, "rc": 0, "start": "2017-10-23 19:56:56.998028", "stderr": "", "stderr_lines": [], "stdout": "1

fatal: [openstackcompute]: FAILED! => {"changed": false, "cmd": ["/usr/bin/python", "-c", "import docken_result": true, "rc": 0, "start": "2017-10-23 15:51:03.473204", "stderr": "", "stderr_lines": [], "stdout": "1.10

ok: [localhost]

you can see my local host is OK which but its complaining about my compute and controller nodes. What is the error saying? Is it saying my current version of the docker-ce is incorrect?